Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query
Interface ServiceProfileLocator

All Known Implementing Classes:
  ProtegeServiceProfileLocator

    public interface ServiceProfileLocator

This interface describes class that can be used to look up service profiles

Author:
  tilmann

Method Summary
`void` | `addServiceLocatorEventListener(ServiceLocatorEventListener listener)` Sets a ServiceLocatorEventListener to be notified of events during search
`List<ServiceProfileInfo>` | `findServiceProfiles(int searchLevel)` This method can be used to search for services profiles suitable to the previously set searchParameters.
`int` | `getAvailableSearchLevels()` Get the maximum search level that can be used plus one.
`void` | `removeServiceLocatorEventListener(ServiceLocatorEventListener listener)` Removes a previously set ServiceLocatorEventListener
`void` | `setServiceProfileParameter(ServiceProfileParameter searchParameter)` Sets the search parameter for subsequent calls to findServiceProfiles

Method Detail

### setServiceProfileParameter

    void setServiceProfileParameter(ServiceProfileParameter searchParameter)

  Sets the search parameter for subsequent calls to findServiceProfiles

  Parameters:
    `searchParameter` - the parameters the services shoud have

### findServiceProfiles

    List<ServiceProfileInfo> findServiceProfiles(int searchLevel)
                                                 throws IOException

  This method can be used to search for services profiles suitable to the previously set searchParameters. The resulting list may also contain services that do not perfectly match the parameters. This is indicated with a relevance below 1. How exact sercice profiles are matched can be specified wiht the searchLevel parameter. Subsequent calls for a single search parameter must start with search level 0 and may increase searchlevel only by one each time up to the maximum that can be obtained by getAvailableSearchLevels.

  Parameters:
    `searchLevel` - the search level to be applied
  Returns:
    a list of search results
  Throws:
    `IOException`

### getAvailableSearchLevels

    int getAvailableSearchLevels()

  Get the maximum search level that can be used plus one.

  Returns:
    the number of search levels available

### addServiceLocatorEventListener

    void addServiceLocatorEventListener(ServiceLocatorEventListener listener)

  Sets a ServiceLocatorEventListener to be notified of events during search

  Parameters:
    `listener` - the ServiceLocatorEventListener to be set

### removeServiceLocatorEventListener

    void removeServiceLocatorEventListener(ServiceLocatorEventListener listener)

  Removes a previously set ServiceLocatorEventListener

  Parameters:
    `listener` - the ServiceLocatorEventListener to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD